Skip to main content
GET
/
networks
/
reporting
/
transactions
/
{transactionId}
Get Transaction Overview
curl --request GET \
  --url https://api.eflow.team/v1/networks/reporting/transactions/{transactionId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "click": {
    "transaction_id": "<string>",
    "is_unique": 123,
    "unix_timestamp": 123,
    "tracking_url": "<string>",
    "source_id": "<string>",
    "sub1": "<string>",
    "sub2": "<string>",
    "sub3": "<string>",
    "sub4": "<string>",
    "sub5": "<string>",
    "payout_type": "<string>",
    "revenue_type": "<string>",
    "payout": 123,
    "revenue": 123,
    "referer": "<string>",
    "error_code": 123,
    "error_message": "<string>",
    "user_ip": "<string>",
    "url": "<string>",
    "is_view_through": true,
    "is_test_mode": true,
    "has_conversion": true,
    "idfa": "<string>",
    "google_ad_id": "<string>",
    "android_id": "<string>",
    "creative_id": 123,
    "coupon_code": "<string>",
    "redirect_method": "<string>",
    "relationship": {
      "offer": {
        "network_offer_id": 123,
        "name": "<string>"
      },
      "advertiser": {
        "network_advertiser_id": 123,
        "name": "<string>"
      },
      "affiliate": {
        "network_affiliate_id": 123,
        "name": "<string>"
      },
      "account_manager": {
        "network_employee_id": 123,
        "first_name": "<string>",
        "last_name": "<string>"
      },
      "geolocation": {
        "country_code": "<string>",
        "region_name": "<string>",
        "city_name": "<string>"
      },
      "device_information": {
        "platform_name": "<string>",
        "browser_name": "<string>",
        "device_type": "<string>"
      }
    }
  },
  "conversions": {
    "total": 123,
    "entries": [
      {
        "conversion_id": "<string>",
        "conversion_unix_timestamp": 123,
        "status": "approved",
        "payout_type": "<string>",
        "revenue_type": "<string>",
        "payout": 123,
        "revenue": 123,
        "sale_amount": 123,
        "sub1": "<string>",
        "sub2": "<string>",
        "sub3": "<string>",
        "sub4": "<string>",
        "sub5": "<string>",
        "source_id": "<string>",
        "session_user_ip": "<string>",
        "conversion_user_ip": "<string>",
        "is_event": true,
        "event": "<string>",
        "transaction_id": "<string>",
        "currency_id": "<string>",
        "email": "<string>",
        "is_view_through": true,
        "error_code": 123,
        "error_message": "<string>",
        "relationship": {
          "offer": {
            "network_offer_id": 123,
            "name": "<string>"
          },
          "advertiser": {
            "network_advertiser_id": 123,
            "name": "<string>"
          },
          "affiliate": {
            "network_affiliate_id": 123,
            "name": "<string>"
          }
        }
      }
    ]
  },
  "pixels": {
    "total": 123,
    "entries": [
      {
        "pixel_id": 123,
        "conversion_id": "<string>",
        "transaction_id": "<string>",
        "timestamp": 123,
        "delivery_method": "<string>",
        "pixel_status": "<string>",
        "pixel_type": "<string>",
        "payload": "<string>",
        "is_success": true,
        "debug_information": "<string>",
        "failed_attempts": 123
      }
    ]
  },
  "raw_click": "<string>",
  "on_hold_conversions": {
    "total": 123,
    "entries": [
      {
        "conversion_id": "<string>",
        "conversion_unix_timestamp": 123,
        "status": "approved",
        "payout_type": "<string>",
        "revenue_type": "<string>",
        "payout": 123,
        "revenue": 123,
        "sale_amount": 123,
        "sub1": "<string>",
        "sub2": "<string>",
        "sub3": "<string>",
        "sub4": "<string>",
        "sub5": "<string>",
        "source_id": "<string>",
        "session_user_ip": "<string>",
        "conversion_user_ip": "<string>",
        "is_event": true,
        "event": "<string>",
        "transaction_id": "<string>",
        "currency_id": "<string>",
        "email": "<string>",
        "is_view_through": true,
        "error_code": 123,
        "error_message": "<string>",
        "relationship": {
          "offer": {
            "network_offer_id": 123,
            "name": "<string>"
          },
          "advertiser": {
            "network_advertiser_id": 123,
            "name": "<string>"
          },
          "affiliate": {
            "network_affiliate_id": 123,
            "name": "<string>"
          }
        }
      }
    ]
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

transactionId
string
required

32-character transaction ID.

Response

200 - application/json

OK

click
object
conversions
object
pixels
object
raw_click
string
on_hold_conversions
object